#
# spec file for package apache2-mod_stats
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           apache2-mod_stats
Version:        1.1
Release:        41.7
Summary:        Apache module collecting buildservice download statistics
License:        Apache-2.0
Group:          Productivity/Networking/Web/Servers
#
#
# svn export 'https://forgesvn1.novell.com/svn/opensuse/trunk/tools/download-stats/mod_stats'; tar czf mod_stats.tar.gz mod_stats
Source:         mod_stats.tar.gz
BuildRequires:  apache-rpm-macros
BuildRequires:  apache2-devel
BuildRequires:  apache2-mod_form
BuildRequires:  apache2-prefork
BuildRequires:  apache2-webthings-collection
BuildRequires:  apache2-worker
#
Requires:       %{apache_mmn}
Requires:       %{apache_suse_maintenance_mmn}
Requires:       apache2 >= 2.2.6
Requires:       libapr-util1 >= 1.3.0
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Apache module collecting download statistics for packages downloaded from an
OpenSUSE build service. At this time, it is probably only useful on
software.opensuse.org.

https://forgesvn1.novell.com/svn/opensuse/trunk/tools/download-stats

Author: Peter Poeml <poeml@suse.de>

%prep
%setup -q -n mod_stats
%if %{apache_branch} >= 204
sed -i s:remote_addr:client_addr: mod_stats.c
%endif

%build
%{apache_apxs} -c mod_stats.c

%install
mkdir -p %{buildroot}/%{apache_libexecdir}
cp -p .libs/mod_stats.so %{buildroot}/%{apache_libexecdir}

%check
set +x
%apache_test_module_load -m form:stats
set -x

%files
%defattr(-,root,root)
%{apache_libexecdir}/*.so
%doc README
%doc *.conf

%changelog
* Fri Dec 11 2015 pgajdos@suse.com
- %%{apache_branch} converted to number
* Mon Sep  7 2015 pgajdos@suse.com
- test module with %%apache_test_module_load
* Thu Jul 16 2015 pgajdos@suse.com
- Requries: %%{apache_suse_maintenance_mmn}
  This will pull this module to the update (in released distribution)
  when apache maintainer thinks it is good (due api/abi changes).
* Tue Nov  4 2014 pgajdos@suse.com
- call spec-cleaner
- use apache rpm macros
- fix build for apache 2.4
* Thu Jun  4 2009 poeml@suse.de
- fix build on CentOS5 (by requiring httpd instead of
  apache2-devel, and using apxs instead of apxs2)
* Tue Jun 10 2008 poeml@suse.de
- build service supports the debuginfo flag in metadata now; remove
  debug_package macro from the specfile therefore.
* Wed Aug 22 2007 poeml@suse.de
- update to r2018
  - in error conditions (reconnection to database after failure),
    it happens occasionally that the DBD MySQL driver's pvselect()
    returns success, but with result of NULL. If so, ignore the
    result.
  - update README and TODO
* Thu Mar 29 2007 poeml@suse.de
- update to r1547
  - duplicate r->filename before taking it apart -- bug which became
    apparent after r->uri is no longer used
* Tue Mar 13 2007 poeml@suse.de
- update to r1432
  - bump version (1.1)
  - license under Apache License 2.0
  - add HTTP_MOVED_TEMPORARILY (302) to the status codes for which
    to increment counters
* Tue Mar  6 2007 poeml@suse.de
- update to r1386
  - add StatsAdminHost directive. New packages are no longer created on the fly
    but now explicitely created by admin requests from the backend, using a
    cmd=setpackage&package=foo query string
  - add StatsDBDDeleteQuery directive; packages can also be deleted now
    (cmd=deleted query string)
  - use mod_form to parse query strings
  - fix parsing of .deb filenames -- release is optional
  - temporarily work around missing r->filename in our current redirector, by
    stripping hardcoded "/download/" string
  - fix stats_getlastword() to stop at the beginning
  - fill "filename" column with the (sub-)package name instead of the filename
  - add configuration example and README
  - remove unused variable
* Mon Feb 19 2007 poeml@suse.de
- package created (r1278)
